#!/usr/local/bin/perl
use lib "/usr/wvgs/lib/perl-lib";

use strict;
use warnings;

require "/usr/wvgs/lib/scripts/ebase_local/ccswservernamelist.ph";
require "/usr/wvgs/etc/mihari/tornado_area.ph";
require "/usr/wvgs/web/mihari/rctool/lib/get_area_name.pl";

use JmaShChSn;
use CGI;
use Data::Dumper;

##=========================================================================
#PARAMETER
#==========================================================================

my $q =CGI->new;
my $key="";
my $value="";
my $hash;

if($q->param() || ""){

  foreach $key($q->param){
    foreach $value($q->param($key)){
      if($value){

        if($key =~/^risk_customerid$/){
           push(@{$hash->{risk_customerid}}, $value);
         }elsif($key =~/^observer_id$/){
           push(@{$hash->{observer_id}}, $value);
         }elsif($key =~/^customer_id$/){
           push(@{$hash->{customer_id}}, $value);
         }elsif($key =~/^micro_value_spot$/){
           push(@{$hash->{micro_value_spot}}, $value);
         }elsif($key =~/^pm_id$/){
           push(@{$hash->{pm_id}}, $value);
         }elsif($key =~/^dosya_option_set$/){
           push(@{$hash->{dosya_option_set}}, $value);
         }elsif($key =~/^heat_option_set$/){
           push(@{$hash->{heat_option_set}}, $value);
         }elsif($key =~/^heat_chihou_set$/){
           push(@{$hash->{heat_chihou_set}}, $value);
         }elsif($key =~/^flood_option_set$/){
           push(@{$hash->{flood_option_set}}, $value);
         }elsif($key =~/^tatumaki_option_set$/){
           push(@{$hash->{tatumaki_option_set}}, $value);
         }elsif($key =~/^chui_option_set$/){
           push(@{$hash->{chui_option_set}}, $value);
         }else{
           $hash->{$key} = $value;
         }
      }
    }
  }
}

#============================================================================
#ѿ
#===========================================================================

my $loginid=$hash->{loginid}; 
my $mailgroup=$hash->{mailgroup};
my $use_index=$hash->{use_index};
   if($use_index == 1){
      $use_index ="1";
   }else{
      $use_index = "0";
   }
my $use_riskscale=$hash->{use_riskscale};
my @risk_customerid;

  foreach my $riskid(@{$hash->{risk_customerid}}){
    push(@risk_customerid,$riskid)
  }

my $use_micronet_level=$hash->{use_micronet_level};
my @observer_id;

  foreach my $observerid(@{$hash->{observer_id}}){
    push(@observer_id,$observerid)
  }

my @customer_id;

  foreach my $customerid(@{$hash->{customer_id}}){
    push(@customer_id,$customerid)
  }

my $use_micronet_value=$hash->{use_micronet_value};
my @micro_value_spot;

  foreach my $micro_value_spot(@{$hash->{micro_value_spot}}){
    push(@micro_value_spot,$micro_value_spot);
  }

my $use_pm=$hash->{use_pm};
my @pm_id;

  foreach my $pm_id(@{$hash->{pm_id}}){
    push(@pm_id,$pm_id);
  }

my $use_typhoon=$hash->{use_typhoon};
my $use_alert=$hash->{use_alert};
   if($use_alert == 1){
     $use_alert = "1";
   }else{
     $use_alert = "0";
   }
my $use_quake=$hash->{use_quake};
my $quake_spot=$hash->{quake_spot};
my $use_dosya=$hash->{use_dosya};
my @dosya_option_set;

  foreach my $dosya_option_set(@{$hash->{dosya_option_set}}){
    push(@dosya_option_set,$dosya_option_set);
  }

my $use_heat=$hash->{use_heat};
my @heat_chihou_set;
  foreach my $heat_chihou_set(@{$hash->{heat_chihou_set}}){
    push(@heat_chihou_set,$heat_chihou_set);
  }

my @heat_option_set;
  foreach my $heat_option_set(@{$hash->{heat_option_set}}){
    push(@heat_option_set,$heat_option_set);
  }

my $use_flood=$hash->{use_flood};
my @flood_option_set;
  foreach my $flood_option_set(@{$hash->{flood_option_set}}){
    push(@flood_option_set,$flood_option_set);
  }

my $use_tatumaki=$hash->{use_tatumaki};
my @tatumaki_option_set;
  foreach my $tatumaki_option_set(@{$hash->{tatumaki_option_set}}){
    push(@tatumaki_option_set,$tatumaki_option_set);
  }

my $use_chui=$hash->{use_chui};
my @chui_option_set;
  foreach my $chui_option_set(@{$hash->{chui_option_set}}){
    push(@chui_option_set,$chui_option_set);
  }

my $urgent_usevolcano=$hash->{urgent_usevolcano};
my $urgent_usetidal=$hash->{urgent_usetidal};
my $area_index_useradar=$hash->{area_index_useradar};
my $area_index_uselightning=$hash->{area_index_uselightning};

##=======================================================================================
#ɽϰ̾
#=======================================================================================

##ںҳٲɽ

my $i=0;

my @prefary;
@prefary=get_prefary(@prefary);
my $ary_length=@prefary;
my @pref_name;
@pref_name = get_pref_name(@prefary);
my @dosya_name;
@dosya_name = get_name($ary_length,\@dosya_option_set,\@prefary,\@pref_name);

##ⲹվɽ
my @pref_num;
@pref_num = get_pref_num(@pref_num);
my @heat_pref_name;
@heat_pref_name = get_heat_pref_name(@heat_pref_name);
my @heat_chihou_name;
@heat_chihou_name  =get_heat_chihou_name(@heat_chihou_name);
my $pref_tblmax  = @heat_pref_name;

my @chihou_set;
@chihou_set= get_NAME($pref_tblmax,\@heat_chihou_set,\@pref_num,\@heat_chihou_name);
my @option_set;
@option_set= get_NAME($pref_tblmax,\@heat_option_set,\@pref_num,\@heat_pref_name);

##ɽ

my @flood_pref_num;
@flood_pref_num = get_flood_pref_num(@flood_pref_num);
my @flood_pref_name;
@flood_pref_name = get_flood_pref_name(@flood_pref_name);
my $flood_pref_tblmax  = @flood_pref_name;
my @flood_name;
@flood_name=get_NAME($flood_pref_tblmax,\@flood_option_set,\@flood_pref_num,\@flood_pref_name);

##εɽ

my @tatumaki_pref_num;
@tatumaki_pref_num = get_tatumaki_pref_num(@tatumaki_pref_num);
my @tatumaki_pref_name;
@tatumaki_pref_name = get_tatumaki_pref_name(@tatumaki_pref_name);
my $tatumaki_pref_tblmax=@tatumaki_pref_name;
my @tatumaki_name;
@tatumaki_name=get_name($tatumaki_pref_tblmax,\@tatumaki_option_set,\@tatumaki_pref_num,\@tatumaki_pref_name);

##󡦷ɽ

my @chui_pref_num;
@chui_pref_num = get_chui_pref_num(@chui_pref_num);
my @chui_pref_name;
@chui_pref_name = get_chui_pref_name(@chui_pref_name);
my $chui_pref_tblmax = @chui_pref_name;
my @chui_name;
@chui_name=get_name($chui_pref_tblmax,\@chui_option_set,\@chui_pref_num,\@chui_pref_name);

##======================================================================================================
#HTML
#=======================================================================================================


my $text="";

#ޥͥåȿ̤θܵID鳰Ƥ롣᤹ȤϲΥȥˤOK
#Υ125dd˾äϤ
$text=<<"EOS";
<b><p>ꥢƻINDEX۵޾󥢥顼Ȥζ</p></b>
<b>᡼륰롼׿</b>
<br>
$mailgroup
<hr>
<b><p>ꥢƻINDEX</p></b>
<b>ꥢƻINDEXλ(1.Ѥ/0.Ѥʤ)</b>
<br>
$use_index
<br>
<b>ҳꥹλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_riskscale
<br>
<b>ꤷҳꥹθܵID</b>
<br>
@risk_customerid
<br>
<b>ޥͥåȿ̤λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_micronet_level
<br>
<b>ꤷ¬ID</b>
<br>
@observer_id
<br>
<b>ޥͥåȱ̤λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_micronet_value
<br>
<b>ꤷ¬</b>
<br>
@micro_value_spot
<br>
<b>PM2.5λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_pm
<br>
<b>ꤷ¬ID</b>
<br>
@pm_id
<br>
<b>λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_typhoon
<br>
<b>ģ졼λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$area_index_useradar
<br>
<b>λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$area_index_uselightning
<hr>
<b><p>۵޾󥢥顼</p></b>
<b>۵޾󥢥顼Ȥλ(1.Ѥ/0.Ѥʤ)</b>
<br>
$use_alert
<br>
<b>Ͽ̾λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_quake
<br>
<b>Ͽ̾ϰ֥åǽ</b>
<br>
$quake_spot
<br>
<b>ںҳٲλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_dosya
<br>
<b>ںҳٲɽϰ</b>
<br>
@dosya_name
<br>
<b>ⲹվλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_heat
<br>
<b>ⲹվɽϰ</b>
<br>
<b></b>
<br>
@chihou_set
<br>
<b></b>
<br>
@option_set
<br>
<b>ͽλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_flood
<br>
<b>ͽɽϰ</b>
<br>
@flood_name
<br>
<b>ελ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_tatumaki
<br>
<b>εɽϰ</b>
<br>
@tatumaki_name
<br>
<b>󡦷λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_chui
<br>
<b>󡦷ɽϰ</b>
<br>
@chui_name
<br>
<b>лλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$urgent_usevolcano
<br>
<b>Ⱦλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$urgent_usetidal
<br>
EOS
=pod
$text=<<"EOS";
<b><p>ꥢƻINDEX۵޾󥢥顼Ȥζ</p></b>
<b>᡼륰롼׿</b>
<br>
$mailgroup
<hr>
<b><p>ꥢƻINDEX</p></b>
<b>ꥢƻINDEXλ(1.Ѥ/0.Ѥʤ)</b>
<br>
$use_index
<br>
<b>ҳꥹλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_riskscale
<br>
<b>ꤷҳꥹθܵID</b>
<br>
@risk_customerid
<br>
<b>ޥͥåȿ̤λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_micronet_level
<br>
<b>ꤷ¬ID</b>
<br>
@observer_id
<br>
<b>ꤷܵID</b>
<br>
@customer_id
<br>
<b>ޥͥåȱ̤λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_micronet_value
<br>
<b>ꤷ¬</b>
<br>
@micro_value_spot
<br>
<b>PM2.5λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_pm
<br>
<b>ꤷ¬ID</b>
<br>
@pm_id
<br>
<b>λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_typhoon
<br>
<b>ģ졼λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$area_index_useradar
<br>
<b>λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$area_index_uselightning
<hr>
<b><p>۵޾󥢥顼</p></b>
<b>۵޾󥢥顼Ȥλ(1.Ѥ/0.Ѥʤ)</b>
<br>
$use_alert
<br>
<b>Ͽ̾λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_quake
<br>
<b>Ͽ̾ϰ֥åǽ</b>
<br>
$quake_spot
<br>
<b>ںҳٲλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_dosya
<br>
<b>ںҳٲɽϰ</b>
<br>
@dosya_name
<br>
<b>ⲹվλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_heat
<br>
<b>ⲹվɽϰ</b>
<br>
<b></b>
<br>
@chihou_set
<br>
<b></b>
<br>
@option_set
<br>
<b>ͽλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_flood
<br>
<b>ͽɽϰ</b>
<br>
@flood_name
<br>
<b>ελ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_tatumaki
<br>
<b>εɽϰ</b>
<br>
@tatumaki_name
<br>
<b>󡦷λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_chui
<br>
<b>󡦷ɽϰ</b>
<br>
@chui_name
<br>
<b>лλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$urgent_usevolcano
<br>
<b>Ⱦλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$urgent_usetidal
<br>
EOS
=cut

##===========================================================================================
##SUB ROUTINE
##===========================================================================================

sub get_name{

  my ($tblmax,$option_set,$pref_num,$pref_name)=@_;
  my @name;

  for($i=0; $i<$tblmax; $i++){
    foreach my $set(@$option_set){
      if($set == @$pref_num[$i]){
        push(@name,@$pref_name[$i]);
       last;
      }
    }
  }

 return @name;
}

sub get_NAME{

  my ($tblmax,$option_set,$pref_num,$pref_name)=@_;
  my @name;

  for($i=0; $i<$tblmax; $i++){
    foreach my $set(@$option_set){
      if($set eq @$pref_num[$i]){
        push(@name,@$pref_name[$i]);
       last;
      }
    }
  }

 return @name;
}

sub change{

  my $num = @_;
  

  return $num;

}

  

##===========================================================================================
###HTML
##===========================================================================================
print "Content-type:text/html\n\n";
print( "<html>\n" );
print( "<head>\n" );
print( "<meta http-equiv=\"Content-type\" content=\"text/html; charset=EUC-JP\">\n");
print( "<title>customer.ini¸</title>\n" );
print( "</head>\n" );
print( "<body>\n" );
print "<hr>";
print("<p>ID:");
print("<b>$loginid</b>");
print("꤬λޤ!</p>");
print("<font color=\"red\">¸ܥ򲡤꤬¸ޤ");
print("<br>");
print("ȿǤˤϥȴġȿǥܥ򲡤Ƥ");
print("</font>");
print("<br>");
print("<form action=\"save_customerini.cgi\" method=\"POST\">");
print("
  <input type=\"hidden\" name=\"loginid\" value=\"$loginid\">
  <input type=\"hidden\" name=\"mailgroup\" value=\"$mailgroup\">
  <input type=\"hidden\" name=\"use_index\" value=\"$use_index\">
  <input type=\"hidden\" name=\"use_riskscale\" value=\"$use_riskscale\">
  <input type=\"hidden\" name=\"use_micronet_level\" value=\"$use_micronet_level\">
  <input type=\"hidden\" name=\"use_micronet_value\" value=\"$use_micronet_value\">
  <input type=\"hidden\" name=\"use_pm\" value=\"$use_pm\">
  <input type=\"hidden\" name=\"use_typhoon\" value=\"$use_typhoon\">
  <input type=\"hidden\" name=\"use_alert\" value=\"$use_alert\">
  <input type=\"hidden\" name=\"use_quake\" value=\"$use_quake\">
  <input type=\"hidden\" name=\"quake_spot\" value=\"$quake_spot\">
  <input type=\"hidden\" name=\"use_dosya\" value=\"$use_dosya\">
  <input type=\"hidden\" name=\"use_heat\" value=\"$use_heat\">
  <input type=\"hidden\" name=\"use_flood\" value=\"$use_flood\">
  <input type=\"hidden\" name=\"use_tatumaki\" value=\"$use_tatumaki\">
  <input type=\"hidden\" name=\"use_chui\" value=\"$use_chui\">
  <input type=\"hidden\" name=\"urgent_usevolcano\" value=\"$urgent_usevolcano\">
  <input type=\"hidden\" name=\"urgent_usetidal\" value=\"$urgent_usetidal\">
  <input type=\"hidden\" name=\"area_index_useradar\" value=\"$area_index_useradar\">
  <input type=\"hidden\" name=\"area_index_uselightning\" value=\"$area_index_uselightning\">
");

my $x=0;

  foreach $x(@risk_customerid){
    print("<input type=\"hidden\" name=\"risk_customerid\" value=\"$x\">");
  }
  foreach $x(@observer_id){
    print("<input type=\"hidden\" name=\"observer_id\" value=\"$x\">");
  }
  foreach $x(@customer_id){
    print("<input type=\"hidden\" name=\"customer_id\" value=\"$x\">");
  }
  foreach $x(@micro_value_spot){
    print("<input type=\"hidden\" name=\"micro_value_spot\" value=\"$x\">");
  }
  foreach $x(@pm_id){
    print("<input type=\"hidden\" name=\"pm_id\" value=\"$x\">");
  }
  foreach $x(@dosya_option_set){
    print("<input type=\"hidden\" name=\"dosya_option_set\" value=\"$x\">");
  }
  foreach $x(@heat_chihou_set){
    print("<input type=\"hidden\" name=\"heat_chihou_set\" value=\"$x\">");
  }
  foreach $x(@heat_option_set){
    print("<input type=\"hidden\" name=\"heat_option_set\" value=\"$x\">");
  }
  foreach $x(@flood_option_set){
    print("<input type=\"hidden\" name=\"flood_option_set\" value=\"$x\">");
  }
  foreach $x(@tatumaki_option_set){
    print("<input type=\"hidden\" name=\"tatumaki_option_set\" value=\"$x\">");
  }
  foreach $x(@chui_option_set){
    print("<input type=\"hidden\" name=\"chui_option_set\" value=\"$x\">");
  }
print("<input type=\"submit\" value=\"¸\">");
print("</form>");
print("<a href=\"../toppage.cgi\">¸˥ȥåפ</a>");
print("<hr size=\"3\">");
print("$text");
print "<br>";
print( "</body>\n");
print("</html>\n");

