#!/usr/local/bin/perl

use lib "/usr/wvgs/lib/perl-lib";

use strict;
use warnings;
use CGI;
use Data::Dumper;
use JmaShChSn;
require "/usr/wvgs/web/mihari/rctool/lib/get_area_name.pl";


my $JMASHCHSN_TBL= '/usr/wvgs/etc/JMASHCHSN.tbl';
my $jmasaibuncity= JmaShChSn->new({JMASHCHSN_TBL => $JMASHCHSN_TBL});

my $q = new CGI;
my $loginid = $q->param('loginid') || "";
exit 1 if $loginid eq '' || $loginid =~ /<|>|'|"|&/; # XSS ignore

#=========================================================================================
#customeriniեɤ߹
#=========================================================================================

my $usrFileName="/usr/wvgs/web/mihari/rctool/cgi-bin/customerini/temp/customer.ini.ALERT.$loginid";
my %ini;
open(IN, $usrFileName);
while(<IN> ){
  next if /^#/ || /^\n/;
  chomp;
  my( $k , $v ) = split /=/;
  $ini{$k} = $v;
}
close( IN );

#=======================================================================================
#ѿ
#=======================================================================================

#᡼륰롼׿
my $mailgroup =$ini{group_count};
#ꥢINDEXλ
my $use_index = $ini{suibo_useareaindexlist};

#ҳꥹλ
my $use_riskscale = $ini{area_index_use_risk_scale};

#ҳꥹθܵID
my @risk_customerid;
my @riskid;

@riskid=split(/,/,$ini{area_index_risk_scale_point});  
foreach my $riskid(@riskid){
  push(@risk_customerid,$riskid);
}

#ޥͥåȿ̤λ
my $use_micronet_level = $ini{area_index_usesuii};

#¬ID
my @observer_id;
my @observerid;

@observerid=split(/,/,$ini{area_index_micronet_waterlevel_point});
foreach my $observerid(@observerid){
  push(@observer_id,$observerid);
}

#ܵID
my @customer_id;
my @customerid;

@customerid=split(/,/,$ini{area_index_micronet_waterlevel});
foreach my $customerid(@customerid){
  push(@customer_id,$customerid);
}

#ޥͥåȱ̤λ
my $use_micronet_value=$ini{area_index_userain};
 

#ޥͥåȱ̴¬
my @micro_value_spot;
my @micro_spot;

@micro_spot=split(/,/,$ini{micronet_initial_point_list});
foreach my $micro_spot(@micro_spot){
  push(@micro_value_spot,$micro_spot);
}

#PM2.5λ
my $use_pm=$ini{area_index_use_pm2p5};
#ID
my @pm_id;
my @pm;

@pm = split(/,/,$ini{area_index_pm2p5_option_set});
foreach my $pm(@pm){
  push(@pm_id,$pm);
}

#λ
my $use_typhoon=$ini{area_index_use_typh};
#۵޾󥢥顼Ȥλ
my $use_alert=$ini{suibo_useurgent};

#Ͽ̾λ
my $use_quake=$ini{urgent_usequake};
#Ͽ̾ϰ֥åǽ
my $quake_spot=$ini{urgent_quake_blocknum};
#ںҳٲλ
my $use_dosya=$ini{urgent_usedosya};

#ںҳٲɽ
my @dosya_option_set;
my @dosya;

@dosya = split(/,/,$ini{urgent_dosya_option_set});
  foreach my $dosya(@dosya){
    push(@dosya_option_set,$dosya);
  }

#ⲹվλ
my $use_heat=$ini{urgent_useheat};
#ɽ
my @heat_chihou_set;
my @chihou;

@chihou = split(/,/,$ini{urgent_heat_chihou_set});
  foreach my $chihou(@chihou){
    push(@heat_chihou_set,$chihou);
  }

#ɽ
my @heat_option_set;
my @option;

@option = split(/,/,$ini{urgent_heat_option_set});
  foreach my $option(@option){
    push(@heat_option_set,$option);
  }

#λ
my $use_flood=$ini{urgent_useflood};

#ɽ
my @flood_option_set;
my @flood;

@flood = split(/,/,$ini{urgent_flood_option_set});
  foreach my $flood(@flood){
    push(@flood_option_set,$flood);
  }

#ελ
my $use_tatumaki=$ini{urgent_usetornado};

#εɽ
my @tatumaki_option_set;
my @tatumaki;

@tatumaki = split(/,/,$ini{bosaitext_fuken_option_set});
  foreach my $tatumaki(@tatumaki){
    push(@tatumaki_option_set,$tatumaki);
  }

#󡦷λ
my $use_chui=$ini{urgent_usewarn};
  
#󡦷ɽ
my @chui_option_set;
my @chui;

@chui = split(/,/,$ini{warn_option_set});
  foreach my $chui(@chui){
    push(@chui_option_set,$chui);
  }

#롦졼Υޥåפ˴ؤƤ
my $flexmaps=$ini{suibo_flexmaps};

my $urgent_usevolcano=$ini{urgent_usevolcano};
my $urgent_usetidal=$ini{urgent_usetidal};
my $area_index_useradar=$ini{area_index_useradar};
my $area_index_uselightning=$ini{area_index_uselightning};

##===================================================================================
#ϰ̾
#====================================================================================

##ںҳٲɽ

my @prefary;
@prefary=get_prefary(@prefary);
my $ary_length=@prefary;
my @pref_name;
@pref_name = get_pref_name(@prefary);
my @dosya_name;
@dosya_name = get_num($ary_length,\@dosya_option_set,\@prefary,\@pref_name);

##ⲹվ
#my @pref_num;
#@pref_num = get_pref_num(@pref_num);
#my @heat_pref_name;
#@heat_pref_name = get_heat_pref_name(@heat_pref_name);
#my @heat_chihou_name;
#@heat_chihou_name  =get_heat_chihou_name(@heat_chihou_name);
#my $pref_tblmax  = @heat_pref_name;  
#
#my @chihou_set;
#@chihou_set= get_name($pref_tblmax,\@heat_chihou_set,\@pref_num,\@heat_chihou_name);
#my @option_set;
#@option_set= get_name($pref_tblmax,\@heat_option_set,\@pref_num,\@heat_pref_name);

my $heat_tbl = get_heat_tbl();
my @chihou_set;
my @option_set;
foreach my $chihou (@heat_chihou_set){
  push @chihou_set, $heat_tbl->{$chihou}->{chihou_name};
}
foreach my $option (@heat_option_set){
  push @option_set, $heat_tbl->{$option}->{pref_name};
}

##վ

#my @flood_pref_num;
#@flood_pref_num = get_flood_pref_num(@flood_pref_num);
#my @flood_pref_name;
#@flood_pref_name = get_flood_pref_name(@flood_pref_name);
#my $flood_pref_tblmax  = @flood_pref_name;
#my @flood_name;
#@flood_name=get_name($flood_pref_tblmax,\@flood_option_set,\@flood_pref_num,\@flood_pref_name);

my $flood_tbl = get_flood_tbl();
my @flood_name;
foreach my $option (@flood_option_set){
  push @flood_name, $flood_tbl->{$option}->{pref_name};
}

##εɽ

my @tatumaki_pref_num;
@tatumaki_pref_num = get_tatumaki_pref_num(@tatumaki_pref_num);
my @tatumaki_pref_name;
@tatumaki_pref_name = get_tatumaki_pref_name(@tatumaki_pref_name);
my $tatumaki_pref_tblmax=@tatumaki_pref_name;
my @tatumaki_name;
@tatumaki_name=get_num($tatumaki_pref_tblmax,\@tatumaki_option_set,\@tatumaki_pref_num,\@tatumaki_pref_name);

##󡦷ٲɽ

my @chui_pref_num;
@chui_pref_num = get_chui_pref_num(@chui_pref_num);
my @chui_pref_name;
@chui_pref_name = get_chui_pref_name(@chui_pref_name);
my $chui_pref_tblmax = @chui_pref_name;
my @chui_name;
@chui_name=get_num($chui_pref_tblmax,\@chui_option_set,\@chui_pref_num,\@chui_pref_name);

#===================================================================================

my $text="";
#ޥͥåȿ̤θܵID鳰Ƥ롣᤹ȤϲΥȥˤOK
#Υ127dd˾äϤ
$text=<<"EOS";
<b><p>ꥢƻINDEX۵޾󥢥顼Ȥζ</p></b>
<b>᡼륰롼׿</b>
<br>
$mailgroup
<hr>
<b><p>ꥢƻINDEX</p></b>
<b>ꥢƻINDEXλ(1.Ѥ/0.Ѥʤ)</b>
<br>
$use_index
<br>
<b>ҳꥹλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_riskscale
<br>
<b>ꤷҳꥹθܵID</b>
<br>
@risk_customerid
<br>
<b>ޥͥåȿ̤λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_micronet_level
<br>
<b>ꤷ¬ID</b>
<br>
@observer_id
<br>
<b>ޥͥåȱ̤λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_micronet_value
<br>
<b>ꤷ¬</b>
<br>
@micro_value_spot
<br>
<b>PM2.5λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_pm
<br>
<b>ꤷ¬ID</b>
<br>
@pm_id
<br>
<b>λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_typhoon
<br>
<b>ģ졼λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$area_index_useradar
<br>
<b>λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$area_index_uselightning
<br>
<hr>
<b><p>۵޾󥢥顼</p></b>
<b>۵޾󥢥顼Ȥλ(1.Ѥ/0.Ѥʤ)</b>
<br>
$use_alert
<br>
<b>Ͽ̾λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_quake
<br>
<b>Ͽ̾ϰ֥åǽ</b>
<br>
$quake_spot
<br>
<b>ںҳٲλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_dosya
<br>
<b>ںҳٲɽϰ</b>
<br>
@dosya_name
<br>
<b>ⲹվλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_heat
<br>
<b>ⲹվɽϰ</b>
<br>
<b></b>
<br>
@chihou_set
<br>
<b></b>
<br>
@option_set
<br>
<b>ͽλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_flood
<br>
<b>ͽɽϰ</b>
<br>
@flood_name
<br>
<b>εվλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_tatumaki
<br>
<b>εվɽϰ</b>
<br>
@tatumaki_name
<br>
<b>󡦷λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_chui
<br>
<b>󡦷ɽϰ</b>
<br>
@chui_name
<br>
<b>лλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$urgent_usevolcano
<br>
<b>Ⱦλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$urgent_usetidal
<br>
<br>
EOS
=pod
$text=<<"EOS";
<b><p>ꥢƻINDEX۵޾󥢥顼Ȥζ</p></b>
<b>᡼륰롼׿</b>
<br>
$mailgroup
<hr>
<b><p>ꥢƻINDEX</p></b>
<b>ꥢƻINDEXλ(1.Ѥ/0.Ѥʤ)</b>
<br>
$use_index
<br>
<b>ҳꥹλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_riskscale
<br>
<b>ꤷҳꥹθܵID</b>
<br>
@risk_customerid
<br>
<b>ޥͥåȿ̤λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_micronet_level
<br>
<b>ꤷ¬ID</b>
<br>
@observer_id
<br>
<b>ꤷܵID</b>
<br>
@customer_id
<br>
<b>ޥͥåȱ̤λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_micronet_value
<br>
<b>ꤷ¬</b>
<br>
@micro_value_spot
<br>
<b>PM2.5λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_pm
<br>
<b>ꤷ¬ID</b>
<br>
@pm_id
<br>
<b>λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_typhoon
<br>
<b>ģ졼λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$area_index_useradar
<br>
<b>λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$area_index_uselightning
<br>
<hr>
<b><p>۵޾󥢥顼</p></b>
<b>۵޾󥢥顼Ȥλ(1.Ѥ/0.Ѥʤ)</b>
<br>
$use_alert
<br>
<b>Ͽ̾λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_quake
<br>
<b>Ͽ̾ϰ֥åǽ</b>
<br>
$quake_spot
<br>
<b>ںҳٲλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_dosya
<br>
<b>ںҳٲɽϰ</b>
<br>
@dosya_name
<br>
<b>ⲹվλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_heat
<br>
<b>ⲹվɽϰ</b>
<br>
<b></b>
<br>
@chihou_set
<br>
<b></b>
<br>
@option_set
<br>
<b>ͽλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_flood
<br>
<b>ͽɽϰ</b>
<br>
@flood_name
<br>
<b>εվλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_tatumaki
<br>
<b>εվɽϰ</b>
<br>
@tatumaki_name
<br>
<b>󡦷λ(on.Ѥ/off.Ѥʤ)</b>
<br>
$use_chui
<br>
<b>󡦷ɽϰ</b>
<br>
@chui_name
<br>
<b>лλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$urgent_usevolcano
<br>
<b>Ⱦλ(on.Ѥ/off.Ѥʤ)</b>
<br>
$urgent_usetidal
<br>
<br>
EOS
=cut

##===========================================================================================
#SUB ROUTINE
#===========================================================================================

sub get_name{

  my ($tblmax,$option_set,$pref_num,$pref_name)=@_;
  my @name;

  for(my $i=0; $i<$tblmax; $i++){
    foreach my $set(@$option_set){
      if($set eq @$pref_num[$i]){
        push(@name,@$pref_name[$i]);
      }
    }
  }

 return @name;
}

sub get_num{

  my ($tblmax,$option_set,$pref_num,$pref_name)=@_;
  my @name;

  for(my $i=0; $i<$tblmax; $i++){
    foreach my $set(@$option_set){
      if($set == @$pref_num[$i]){
        push(@name,@$pref_name[$i]);
      }
    }
  }

 return @name;
}


##===========================================================================================
##HTML
#===========================================================================================
print "Content-type:text/html\n\n";
print( "<html>\n" );
print( "<head>\n" );
print( "<meta http-equiv=\"Content-type\" content=\"text/html; charset=EUC-JP\">\n");
print( "<title>customer.iniγǧ</title>\n" );
print( "</head>\n" );
print( "<body>\n" );
print("<h1>customer.ini Ƴǧ</h1>");
print("ID:$loginid");
print("<br>");
print("<hr>");
print("<br>");
print("$text");
print("<br>");
print("<a href=\"../toppage.cgi\">ȥåפ</a>");
print("</body>\n");
print("</html>");

