#!/usr/local/bin/perl

use lib "/usr/wvgs/lib/perl-lib";

use strict;
use warnings;
use CGI;

#=======================================================================
#PARAMETER
#======================================================================
my $q = new CGI;
my $loginid = $q->param("loginid") || "";
exit 1 if $loginid eq '' || $loginid =~ /<|>|'|"|&/; # XSS ignore

#=========================================================================================
#customeriniեɤ߹
#=========================================================================================

my $usrFileName="/usr/wvgs/web/mihari/rctool/cgi-bin/customerini/temp/customer.ini.ALERT.$loginid";
my %ini;
open(IN, $usrFileName);
while(<IN> ){
  next if /^#/ || /^\n/;
  chomp;
  my( $k , $v ) = split /=/;
  $ini{$k} = $v;
}
close( IN );

#======================================================================
my @name;
my @use_name;
foreach my $num( $q->param("customerini")){
  if($num == 1){
    push(@name,"area_index_micronet_waterlevel_point");
    push(@name,"area_index_micronet_waterlevel");
    push(@use_name,"area_index_usesuii");
  }elsif($num == 3){
    push(@name,"micronet_initial_point_list");
    push(@use_name,"area_index_userain");
  }elsif($num == 4){
    push(@name,"area_index_pm2p5_option_set");
    push(@use_name,"area_index_use_pm2p5");
  }elsif($num == 5){
    push(@name,"urgent_dosya_option_set");
    push(@use_name,"urgent_usedosya");
  }elsif($num == 6){
    push(@name,"urgent_heat_chihou_set");
    push(@name,"urgent_heat_option_set");
    push(@use_name,"urgent_useheat");
  }elsif($num == 7){
    push(@use_name,"urgent_usequake");
  }elsif($num == 8){
    push(@name,"urgent_flood_option_set");
    push(@use_name,"urgent_useflood");
  }elsif($num == 9){
    push(@name,"bosaitext_fuken_option_set");
    push(@use_name,"urgent_usetornado");
  }elsif($num == 10){
    push(@name,"warn_option_set");
    push(@use_name,"urgent_usewarn");
  }elsif($num == 2){
    push(@name,"area_index_risk_scale_point");
    push(@use_name,"area_index_use_risk_scale");
  }elsif($num == 11){
    push(@use_name,"area_index_use_typh");
  }elsif($num == 12){
    push(@use_name,"area_index_useradar");
  }elsif($num == 13){
    push(@use_name,"area_index_uselightning");
  }elsif($num == 14){
    push(@use_name,"urgent_usevolcano");
  }elsif($num == 15){
    push(@use_name,"urgent_usetidal");
  }
}

##====================================================================================================
#customer.ini
#=====================================================================================================

foreach my $set (@name){
  $ini{$set} = "";
}
foreach my $set (@use_name){
  $ini{$set} = "off";
}
if ( $ini{area_index_use_risk_scale} eq "off" && $ini{area_index_usesuii} eq "off" && 
     $ini{area_index_userain} eq "off" && $ini{area_index_use_pm2p5} eq "off" && 
     $ini{area_index_use_typh} eq "off" && $ini{area_index_useradar} eq "off" && 
     $ini{area_index_uselightning} eq "off" ){
  $ini{suibo_useareaindexlist} = 0;
}
if ( $ini{urgent_usedosya} eq "off" && $ini{urgent_useheat} eq "off" &&
     $ini{urgent_usewarn} eq "off" && $ini{urgent_useflood} eq "off" &&
     $ini{urgent_usetornado} eq "off" && $ini{urgent_usevolcano} eq "off" &&
     $ini{urgent_usetidal} eq "off" ){
  $ini{suibo_useurgent} = 0;
}

open(OUT,">$usrFileName");
print(OUT "group_count=$ini{group_count}\n");
print(OUT "suibo_useareaindexlist=$ini{suibo_useareaindexlist}\n");
print(OUT "area_index_use_risk_scale=$ini{area_index_use_risk_scale}\n");
print(OUT "area_index_risk_scale_point=$ini{area_index_risk_scale_point}\n");
print(OUT "area_index_usesuii=$ini{area_index_usesuii}\n");
print(OUT "area_index_micronet_waterlevel_point=$ini{area_index_micronet_waterlevel_point}\n");
print(OUT "area_index_micronet_waterlevel=$ini{area_index_micronet_waterlevel}\n");
print(OUT "area_index_userain=$ini{area_index_userain}\n");
print(OUT "micronet_initial_point_list=$ini{micronet_initial_point_list}\n");
print(OUT "area_index_use_pm2p5=$ini{area_index_use_pm2p5}\n");
print(OUT "area_index_pm2p5_option_set=$ini{area_index_pm2p5_option_set}\n");
print(OUT "area_index_use_typh=$ini{area_index_use_typh}\n");
print(OUT "suibo_useurgent=$ini{suibo_useurgent}\n");
print(OUT "urgent_usequake=$ini{urgent_usequake}\n");
print(OUT "urgent_quake_blocknum=$ini{urgent_quake_blocknum}\n");
print(OUT "urgent_usedosya=$ini{urgent_usedosya}\n");
print(OUT "urgent_dosya_option_set=$ini{urgent_dosya_option_set}\n");
print(OUT "urgent_useheat=$ini{urgent_useheat}\n");
print(OUT "urgent_heat_chihou_set=$ini{urgent_heat_chihou_set}\n");
print(OUT "urgent_heat_option_set=$ini{urgent_heat_option_set}\n");
print(OUT "urgent_useflood=$ini{urgent_useflood}\n");
print(OUT "urgent_flood_option_set=$ini{urgent_flood_option_set}\n");
print(OUT "urgent_usetornado=$ini{urgent_usetornado}\n");
print(OUT "bosaitext_fuken_option_set=$ini{bosaitext_fuken_option_set}\n");
print(OUT "urgent_usewarn=$ini{urgent_usewarn}\n");
print(OUT "warn_option_set=$ini{warn_option_set}\n");
print(OUT "urgent_usevolcano=$ini{urgent_usevolcano}\n");
print(OUT "urgent_usetidal=$ini{urgent_usetidal}\n");
print(OUT "area_index_useradar=$ini{area_index_useradar}\n");
print(OUT "area_index_uselightning=$ini{area_index_uselightning}\n");
close( OUT );

=pod
my $FileName="/usr/wvgs/web/mihari/rctool/cgi-bin/customerini/temp/customer.ini.ALERT.$loginid";
my @file;
my @new_file;
my @num;
my $count=0;

open(IN,$FileName);
while(my $line = <IN>){
  push(@file,$line);
  push(@new_file,$line);

  foreach my $li(@name){
    if($line=~/^$li/){
      push(@num,$count);
      last;
    }
  }
  $count++;
}
close(IN);

my $newline="\n";
my $str="";

foreach my $n(@num){
  if($file[$n] =~/=/){
    $new_file[$n]=~s/$'/$newline/;
  }
}

foreach my $n(@num){
  

open(OUT,">$FileName");
foreach my $newline(@new_file){
  print OUT "$newline";
}
close(OUT);
=cut
##===============================================================================
#HTML
#================================================================================
print "Content-type:text/html\n\n";
print( "<html>\n" );
print( "<head>\n" );
print( "<meta http-equiv=\"Content-type\" content=\"text/html; charset=EUC-JP\">\n");
print( "<title>customer.iniκ</title>\n" );
print( "</head>\n" );
print( "<body>\n" );
print("ID:$loginid");
print("<br>");
print("<p>ޤ</p>");
print("<br>");
print("<hr>");
print("<a href=\"../toppage.cgi\">ȥåפ</a>");
print("</body>\n");
print("</html>");
