#!/usr/local/bin/perl

use lib "/usr/wvgs/lib/perl-lib";

use strict;
use warnings;
use CGI;
use Data::Dumper;

#С̾ǼƤ⥸塼
require "/usr/wvgs/lib/scripts/ebase_local/ccswservernamelist.ph";

##=============================================================================
#PARAMETER
#=============================================================================

my $q = CGI->new;
my $key;
my $value;
my $hash={};

  if($q->param() || ""){
    foreach $key($q->param){
      foreach $value($q->param($key)){
        if($value){

          if($key =~/^risk_customerid$/){
            push(@{$hash->{risk_customerid}}, $value);
          }elsif($key =~/^observer_id$/){
            push(@{$hash->{observer_id}}, $value);
          }elsif($key =~/^customer_id$/){
            push(@{$hash->{customer_id}}, $value);
          }elsif($key =~/^micro_value_spot$/){
            push(@{$hash->{micro_value_spot}}, $value);
          }elsif($key =~/^pm_id$/){
            push(@{$hash->{pm_id}}, $value);
          }elsif($key =~/^dosya_option_set$/){
            push(@{$hash->{dosya_option_set}}, $value);
          }elsif($key =~/^heat_option_set$/){
            push(@{$hash->{heat_option_set}}, $value);
          }elsif($key =~/^heat_chihou_set$/){
            push(@{$hash->{heat_chihou_set}}, $value);
          }elsif($key =~/^flood_option_set$/){
            push(@{$hash->{flood_option_set}}, $value);
          }elsif($key =~/^tatumaki_option_set$/){
            push(@{$hash->{tatumaki_option_set}}, $value);
          }elsif($key =~/^chui_option_set$/){
            push(@{$hash->{chui_option_set}}, $value);
          }else{
            $hash->{$key} = $value;
          }
        }
      }
    }
  }


#===============================================================================
#ѿ
#==============================================================================

my $loginid=$hash->{loginid};
my $mailgroup=$hash->{mailgroup};
my $use_index=$hash->{use_index};
   if($use_index ==1){
     $use_index = 1;
   }else{
     $use_index = "0";
   }

my $use_riskscale=$hash->{use_riskscale};
my @risk_customerid;
  foreach my $riskid(@{$hash->{risk_customerid}}){
    push(@risk_customerid,$riskid)
  }

my $use_micronet_level=$hash->{use_micronet_level};
my @observer_id;
  foreach my $observerid(@{$hash->{observer_id}}){
    push(@observer_id,$observerid)
  }

my @customer_id;
  foreach my $customerid(@{$hash->{customer_id}}){
    push(@customer_id,$customerid)
  }

my $use_micronet_value=$hash->{use_micronet_value};
my @micro_value_spot;
  foreach my $micro_value_spot(@{$hash->{micro_value_spot}}){
    push(@micro_value_spot,$micro_value_spot)
  }

my $use_pm=$hash->{use_pm};
my @pm_id;
  foreach my $pm_id(@{$hash->{pm_id}}){
    push(@pm_id,$pm_id)
  }

my $use_typhoon=$hash->{use_typhoon};
my $use_alert=$hash->{use_alert};
   if ($use_alert == 1){
     $use_alert =1;
   }else{
     $use_alert="0";
   }

my $use_quake=$hash->{use_quake};
my $quake_spot=$hash->{quake_spot};
my $use_dosya=$hash->{use_dosya};
my @dosya_option_set;
  foreach my $dosya_option_set(@{$hash->{dosya_option_set}}){
    push(@dosya_option_set,$dosya_option_set)
  }

my $use_heat=$hash->{use_heat};
my @heat_chihou_set;
  foreach my $heat_chihou_set(@{$hash->{heat_chihou_set}}){
    push(@heat_chihou_set,$heat_chihou_set)
  }

my @heat_option_set;
  foreach my $heat_option_set(@{$hash->{heat_option_set}}){
    push(@heat_option_set,$heat_option_set)
  }

my $use_flood=$hash->{use_flood};
my @flood_option_set;
  foreach my $flood_option_set(@{$hash->{flood_option_set}}){
    push(@flood_option_set,$flood_option_set)
  }

my $use_tatumaki=$hash->{use_tatumaki};
my @tatumaki_option_set;
  foreach my $tatumaki_option_set(@{$hash->{tatumaki_option_set}}){
    push(@tatumaki_option_set,$tatumaki_option_set)
  }

my $use_chui=$hash->{use_chui}; 
my @chui_option_set;
  foreach my $chui_option_set(@{$hash->{chui_option_set}}){
    push(@chui_option_set,$chui_option_set)
  }


my $urgent_usevolcano=$hash->{urgent_usevolcano};
my $urgent_usetidal=$hash->{urgent_usetidal};
my $area_index_useradar=$hash->{area_index_useradar};
my $area_index_uselightning=$hash->{area_index_uselightning};

##==============================================================================
#customer.ini˽񤭽Ф
#===============================================================================

#customeriniե
my $newFileName="/usr/wvgs/web/mihari/rctool/cgi-bin/customerini/temp/customer.ini.ALERT.$loginid";

  open(OUT, ">$newFileName");
    print(OUT "group_count=$mailgroup\n");
    print(OUT "suibo_useareaindexlist=$use_index\n");
   
    print(OUT "area_index_use_risk_scale=$use_riskscale\n");
    my $risk_customerid= join(",",@risk_customerid);
    print(OUT "area_index_risk_scale_point=$risk_customerid\n");
    
    print(OUT "area_index_usesuii=$use_micronet_level\n");
    my $observer_id = join(",",@observer_id);
    print(OUT "area_index_micronet_waterlevel_point=$observer_id\n");
    my $customer_id = join(",",@customer_id);
    print(OUT "area_index_micronet_waterlevel=$customer_id\n");

    print(OUT "area_index_userain=$use_micronet_value\n");
    my $micro_value_spot= join(",",@micro_value_spot);
    print(OUT "micronet_initial_point_list=$micro_value_spot\n");
   
    print(OUT  "area_index_use_pm2p5=$use_pm\n");
    my $pm_id= join(",",@pm_id);
    print(OUT "area_index_pm2p5_option_set=$pm_id\n");
    
    print(OUT "area_index_use_typh=$use_typhoon\n");
   
    print(OUT "suibo_useurgent=$use_alert\n");

    print(OUT "urgent_usequake=$use_quake\n");
    print(OUT "urgent_quake_blocknum=$quake_spot\n");

    print(OUT "urgent_usedosya=$use_dosya\n");
    my $dosya_option_set= join(",",@dosya_option_set);
    print(OUT "urgent_dosya_option_set=$dosya_option_set\n");

    print(OUT "urgent_useheat=$use_heat\n");
    my $heat_chihou_set= join(",",@heat_chihou_set);
    print(OUT "urgent_heat_chihou_set=$heat_chihou_set\n");
    my $heat_option_set= join(",",@heat_option_set);
    print(OUT "urgent_heat_option_set=$heat_option_set\n");

    print(OUT "urgent_useflood=$use_flood\n");
    my $flood_option_set= join(",",@flood_option_set);
    print(OUT "urgent_flood_option_set=$flood_option_set\n");
  
    print(OUT "urgent_usetornado=$use_tatumaki\n");
    my $tatumaki_option_set= join(",",@tatumaki_option_set);
    print(OUT "bosaitext_fuken_option_set=$tatumaki_option_set\n");

    print(OUT "urgent_usewarn=$use_chui\n");
    my $chui_option_set= join(",",@chui_option_set);
    print(OUT "warn_option_set=$chui_option_set\n");

    print(OUT "urgent_usevolcano=$urgent_usevolcano\n");
    print(OUT "urgent_usetidal=$urgent_usetidal\n");
    print(OUT "area_index_useradar=$area_index_useradar\n");
    print(OUT "area_index_uselightning=$area_index_uselightning\n");
close(OUT);

##=================================================================================
##HTML
#==================================================================================

print "Content-type:text/html\n\n";
print( "<html>\n" );
print( "<head>\n" );
print( "<meta http-equiv=\"Content-type\" content=\"text/html; charset=EUC-JP\">\n");
print( "<title>customer.ini¸</title>\n" );
print( "</head>\n" );
print("<body>");
print"<br>";
print("<p><b>$loginid</b>¸ޤ</p>");
print("<br>");
print("<hr>");
print("<a href=\"../toppage.cgi\">ȥåפ</a>");
print("</body>\n");
print("</html>");
