#!/usr/local/bin/perl

use strict;
use warnings;

use CGI;
use Data::Dumper;

#my $INPUT_DIR = "/usr/wvgs/etc/customer/customerini";
my $OUTPUT_DIR = "/usr/wvgs/web/mihari/rctool/cgi-bin/customerini/temp/";

my $file = $ARGV[0];

if(!defined $file){
  print STDERR "target file is empty.\n";
  exit 1;
}

#my $FileName = "$INPUT_DIR/$file";
my $FileName = "$file";
my @name=split(/\./,$file);#ID̾
my $loginid=$name[3];
  
#ե륪ץ
my @line;
my %ini;
   
open(IN, $FileName) or die;
while(<IN>){
  next if  /^#/ || /^\n/;
  chomp($_);
  my( $k , $v ) = split /=/;
  $k =~ s/\s*$//;
  $ini{$k} = $v;
}   
close(IN);

#print Dumper \%ini;
 
# ɬ׹ܤ
# ꥢƻ롦۵޾󥢥顼ȶ
my $mailgroup = exists($ini{group_count}) ? $ini{group_count} : "3";
my $use_index = exists($ini{suibo_useareaindexlist}) ? $ini{suibo_useareaindexlist} : "0"; 
my $use_alert = exists($ini{suibo_useurgent}) ? $ini{suibo_useurgent} : "0";

# ꥢƻ
# ꥹ
my $use_riskscale = exists($ini{area_index_use_risk_scale}) ? $ini{area_index_use_risk_scale} : "off";
my $risk_customerid = exists($ini{area_index_risk_scale_point}) ? $ini{area_index_risk_scale_point} : "";
# ONOFF̵ä̵ͭȽ
if(!exists($ini{area_index_use_risk_scale})) {
  $use_riskscale = checkusing($risk_customerid);
}

# ޥͥåȱ
my $use_micronet_rain = exists($ini{area_index_userain}) ? $ini{area_index_userain} : "off";
my $micronet_rain_point = exists($ini{micronet_initial_point_list}) ? $ini{micronet_initial_point_list} : "";
# ONOFF̵ä̵ͭȽ
if(!exists($ini{area_index_userain})) {
  $use_micronet_rain = checkusing($micronet_rain_point);
}

# ޥͥåȿ
my $use_micronet_level = exists($ini{area_index_usesuii}) ? $ini{area_index_usesuii} : "off";
my $observer_id = exists($ini{area_index_micronet_waterlevel_point}) ? $ini{area_index_micronet_waterlevel_point} : "";
my $customer_id = exists($ini{area_index_micronet_waterlevel}) ? $ini{area_index_micronet_waterlevel} : "";
my $micronet = $observer_id.$customer_id;
if(!exists($ini{area_index_usesuii})) {
  $use_micronet_level = checkusing($micronet);
}

# PM2.5
my $use_pm = exists($ini{area_index_use_pm2p5}) ? $ini{area_index_use_pm2p5} : "off";
my $pm_id = exists($ini{area_index_pm2p5_option_set}) ? $ini{area_index_pm2p5_option_set} : "";
if(!exists($ini{area_index_use_pm2p5})) {
  $use_pm = checkusing($pm_id);
}

# Ͽ̾
my $use_quake = exists($ini{urgent_usequake}) ? $ini{urgent_usequake} : "off";
my $quake_spot = exists($ini{urgent_quake_blocknum}) ? $ini{urgent_quake_blocknum} : "";
if(!exists($ini{urgent_usequake})) {
  $use_quake = checkusing($quake_spot);
}

# ںҳٲ
my $use_dosya = exists($ini{urgent_usedosya}) ? $ini{urgent_usedosya} : "off";
my $dosya_option_set  =exists($ini{urgent_dosya_option_set}) ? $ini{urgent_dosya_option_set} : "";
if(!exists($ini{urgent_usedosya})) {
  $use_dosya = checkusing($dosya_option_set);
}

# ⲹվ
my $use_heat = exists($ini{urgent_useheat}) ? $ini{urgent_useheat} : "off";
my $heat_chihou_set = exists($ini{urgent_heat_chihou_set}) ? $ini{urgent_heat_chihou_set} : "";
my $heat_option_set = exists($ini{urgent_heat_option_set}) ? $ini{urgent_heat_option_set} : "";
my $heat = $heat_chihou_set.$heat_option_set;
if(!exists($ini{urgent_useheat})) {
  $use_heat = checkusing($heat);
}

# ͽ
my $use_flood = exists($ini{urgent_useflood}) ? $ini{urgent_useflood} : "off";
my $flood_option_set = exists($ini{urgent_flood_option_set}) ? $ini{urgent_flood_option_set} : "";
if(!exists($ini{urgent_useflood})) {
  $use_flood = checkusing($flood_option_set);
}

# ε
my $use_tatumaki = exists($ini{urgent_usetornado}) ? $ini{urgent_usetornado} : "off";
my $tatumaki_option_set = exists($ini{bosaitext_fuken_option_set}) ? $ini{bosaitext_fuken_option_set} : "";
if(!exists($ini{urgent_usetornado})) {
  $use_tatumaki = checkusing($tatumaki_option_set);
}

# 󡦷
my $use_chui = exists($ini{urgent_usewarn}) ? $ini{urgent_usewarn} : "off";
my $chui_option_set = exists($ini{warn_option_set}) ? $ini{warn_option_set} : "";   
if(!exists($ini{urgent_usewarn})) {
  $use_chui = checkusing($chui_option_set);
}

# лȡ졼롦on/offΤ
my $urgent_usevolcano = exists($ini{urgent_usevolcano}) ? $ini{urgent_usevolcano} : "on";
my $urgent_usetidal = exists($ini{urgent_usetidal}) ? $ini{urgent_usetidal} : "on";
my $area_index_useradar = exists($ini{area_index_useradar}) ? $ini{area_index_useradar} : "on";
my $area_index_uselightning = exists($ini{area_index_uselightning}) ? $ini{area_index_uselightning} : "on";
my $use_typhoon = exists($ini{urgent_usetornado}) ? $ini{urgent_usetornado} : "on";

=pod
print "$ini{group_count}\n";
exit;
=cut

#եѥ
my $newFileName="$OUTPUT_DIR/customer.ini.ALERT.$loginid";
open(OUT, ">$newFileName") or die;
print(OUT "group_count=$mailgroup\n");
print(OUT "suibo_useareaindexlist=$use_index\n");
print(OUT "area_index_use_risk_scale=$use_riskscale\n");
print(OUT "area_index_risk_scale_point=$risk_customerid\n");
print(OUT "area_index_usesuii=$use_micronet_level\n");
print(OUT "area_index_micronet_waterlevel_point=$observer_id\n");
print(OUT "area_index_micronet_waterlevel=$customer_id\n");
print(OUT "area_index_userain=$use_micronet_rain\n");
print(OUT "micronet_initial_point_list=$micronet_rain_point\n");
print(OUT "area_index_use_pm2p5=$use_pm\n");
print(OUT "area_index_pm2p5_option_set=$pm_id\n");
print(OUT "area_index_use_typh=$use_typhoon\n");
print(OUT "suibo_useurgent=$use_alert\n");
print(OUT "urgent_usequake=$use_quake\n");
print(OUT "urgent_quake_blocknum=$quake_spot\n");
print(OUT "urgent_usedosya=$use_dosya\n");
print(OUT "urgent_dosya_option_set=$dosya_option_set\n");
print(OUT "urgent_useheat=$use_heat\n");
print(OUT "urgent_heat_chihou_set=$heat_chihou_set\n");
print(OUT "urgent_heat_option_set=$heat_option_set\n");
print(OUT "urgent_useflood=$use_flood\n");
print(OUT "urgent_flood_option_set=$flood_option_set\n");
print(OUT "urgent_usetornado=$use_tatumaki\n");
print(OUT "bosaitext_fuken_option_set=$tatumaki_option_set\n");
print(OUT "urgent_usewarn=$use_chui\n");
print(OUT "warn_option_set=$chui_option_set\n");
print(OUT "urgent_usevolcano=$urgent_usevolcano\n");
print(OUT "urgent_usetidal=$urgent_usetidal\n");
print(OUT "area_index_useradar=$area_index_useradar\n");
print(OUT "area_index_uselightning=$area_index_uselightning\n");
close(OUT);


sub checkusing{

  my $value=shift;
  my $result;   

  if($value eq ""){
    $result = "off";
  }else{
    $result = "on";
  }
  return $result;
} 

