#!/usr/local/bin/perl

use lib "/usr/wvgs/lib/perl-lib";
require "/usr/wvgs/lib/scripts/ebase_local/ccswservernamelist.ph";
use JmaShChSn;

use CGI;
use strict;
use warnings;

require "/usr/wvgs/web/mihari/rctool/cgi-bin/make_customerini/cgi-lib.pl";
require "/usr/wvgs/etc/mihari/tornado_area.ph";

my $JMASHCHSN_TBL= '/usr/wvgs/etc/JMASHCHSN.tbl';
my $jmasaibuncity= JmaShChSn->new({JMASHCHSN_TBL => $JMASHCHSN_TBL});

##===============================================================
#ںҳٲɽ
#================================================================

sub get_prefary{

  my @prefary= @_;

  @prefary=$jmasaibuncity->pref_list();

  return @prefary;

}

sub get_pref_name{
  
  my (@prefary) = @_;
  my @pref_name;
  foreach my $pref(@prefary){
    push(@pref_name,$jmasaibuncity->pref_name($pref));
  }
 
  return @pref_name; 
}


##================================================================
#ⲹվɽϰ̾
#=================================================================

sub get_heat_pref_name{

  my @heat_pref_name = @_;
  my @list;

  open(IN,"/usr/wvgs/web/mihari/rctool/cgi-bin/make_customerini/list/urgent_heat.list");
  while(my $line = <IN>){
    next if($line =~ /^#/);
    if($line !~ /^#/){
        chomp $line;
        @list=split(/,/, $line);
        push(@heat_pref_name,$list[1]);
    }
  }
  close(IN);

  return @heat_pref_name;
}

sub get_heat_chihou_name{

  my @heat_chihou_name = @_;
  my @list;

  open(IN,"/usr/wvgs/web/mihari/rctool/cgi-bin/make_customerini/list/urgent_heat.list");
  while(my $line = <IN>){
    next if($line =~ /^#/);
    if($line !~ /^#/){
        chomp $line;
        @list=split(/,/, $line);
        push(@heat_chihou_name,$list[2]);
    }
  }
  close(IN);

  return @heat_chihou_name;

}

sub get_pref_num{

  my @pref_num = @_;
  my @list;

  open(IN,"/usr/wvgs/web/mihari/rctool/cgi-bin/make_customerini/list/urgent_heat.list");
  while(my $line = <IN>){
    next if($line =~ /^#/);
    if($line !~ /^#/){
        chomp $line;
        @list=split(/,/, $line);
        push(@pref_num,$list[0]);
    }
  }
  close(IN);

  return @pref_num;

}

sub get_heat_tbl{
  my %heat_hash;
  my @list;

  open(IN,"/usr/wvgs/web/mihari/rctool/cgi-bin/make_customerini/list/urgent_heat.list");
  while(my $line = <IN>){
    next if($line =~ /^#/);
    if($line !~ /^#/){
        chomp $line;
        @list=split(/,/, $line);
        $heat_hash{$list[0]}{pref_name} = "";
        $heat_hash{$list[0]}{pref_code} = "";
        $heat_hash{$list[0]}{chihou_name} = "";
        $heat_hash{$list[0]}{chihou_code} = "";
        $heat_hash{$list[0]}{pref_name} = $list[1] if $list[1];
        $heat_hash{$list[0]}{chihou_name} = $list[2] if $list[2];
        $heat_hash{$list[0]}{pref_code} = $list[3] if $list[3];
        $heat_hash{$list[0]}{chihou_code} = $list[4] if $list[4];
    }
  }
  return \%heat_hash;
}     

##=======================================================================
#ɽϰ
#=========================================================================

sub get_flood_pref_num{

  my @flood_pref_num=@_;
  my @list;

  open(IN,"/usr/wvgs/web/mihari/rctool/cgi-bin/make_customerini/list/urgent_flood.list");
  while(my $line = <IN>){
    next if($line =~ /^#/);
    if($line !~ /^#/){
      chomp $line;
      @list  = split(/,/, $line);
      push(@flood_pref_num,$list[0]);
    }
  }
  close(IN);

  return @flood_pref_num;
}

sub get_flood_pref_name{

  my @flood_pref_name=@_;
  my @list;

  open(IN,"/usr/wvgs/web/mihari/rctool/cgi-bin/make_customerini/list/urgent_flood.list");
  while(my $line = <IN>){
    next if($line =~ /^#/);
    if($line !~ /^#/){
      chomp $line;
      @list  = split(/,/, $line);
      push(@flood_pref_name,$list[1]);
    }
  }
  close(IN);

  return @flood_pref_name;
}

sub get_flood_tbl{
  my %flood_hash;
  my @list;

  open(IN,"/usr/wvgs/web/mihari/rctool/cgi-bin/make_customerini/list/urgent_flood.list");
  while(my $line = <IN>){
    next if($line =~ /^#/);
    if($line !~ /^#/){
        chomp $line;
        @list=split(/,/, $line);
        $flood_hash{$list[0]}{pref_name} = "";
        $flood_hash{$list[0]}{pref_code} = "";
        $flood_hash{$list[0]}{chihou_name} = "";
        $flood_hash{$list[0]}{chihou_code} = "";
        $flood_hash{$list[0]}{pref_name} = $list[1] if $list[1];
        $flood_hash{$list[0]}{chihou_name} = $list[2] if $list[2];
        $flood_hash{$list[0]}{pref_code} = $list[3] if $list[3];
        $flood_hash{$list[0]}{chihou_code} = $list[4] if $list[4];
    }
  }
  return \%flood_hash;
}

##==============================================================================
#εɽ
#===============================================================================

sub get_tatumaki_pref_num{

  my @tatumaki_pref_num = @_;
  my @list;

  open(IN,"/usr/wvgs/web/mihari/rctool/cgi-bin/make_customerini/list/fuken.list");
  while(my $line = <IN>){
     next if($line =~ /^#/);
    if($line !~ /^#/){
        chomp $line;
        @list=split(/,/,$line);
        push(@tatumaki_pref_num,$list[0]);
     }
  }
  close(IN);
  
  return @tatumaki_pref_num;

}

sub get_tatumaki_pref_name{

  my @tatumaki_pref_name = @_;
  my @list;

  open(IN,"/usr/wvgs/web/mihari/rctool/cgi-bin/make_customerini/list/fuken.list");
  while(my $line = <IN>){
     next if($line =~ /^#/);
    if($line !~ /^#/){
        chomp $line;
        @list=split(/,/,$line);
        push(@tatumaki_pref_name,$list[1]);
     }
  }
  close(IN);

  return @tatumaki_pref_name;

}


##==============================================================================
##վɽ
##===============================================================================

sub get_chui_pref_num{

  my @chui_pref_num = @_;
  my @list;

  open(IN,"/usr/wvgs/web/mihari/rctool/cgi-bin/make_customerini/list/wnipref.list");
  while(my $line = <IN>){
     next if($line =~ /^#/);
    if($line !~ /^#/){
        chomp $line;
        @list=split(/,/,$line);
        push(@chui_pref_num,$list[0]);
     }
  }
  close(IN);

  return @chui_pref_num;

}

sub get_chui_pref_name{

  my @chui_pref_name = @_;
  my @list;

  open(IN,"/usr/wvgs/web/mihari/rctool/cgi-bin/make_customerini/list/wnipref.list");
  while(my $line = <IN>){
     next if($line =~ /^#/);
    if($line !~ /^#/){
        chomp $line;
        @list=split(/,/,$line);
        push(@chui_pref_name,$list[1]);
     }
  }
  close(IN);

  return @chui_pref_name;

}

